Versão Graph API

Instagram Business Asset Assigned Users

Leitura

Get a list of business users and their permissions tasks for this Instagram Business Asset

Exemplo

Graph API Explorer
GET /v26.0/{instagram-business-asset-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/assigned_users',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/assigned_users",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/assigned_users",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/assigned_users"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se quiser saber como usar a Graph API, leia nosso guia sobre Como usar a Graph API.

Parâmetros

ParâmetroDescrição
business
numeric string

business

Obrigatório

Campos

A leitura desta borda retornará um resultado formatado em JSON:

{ "data": [], "paging": {} }

data

Uma lista de nós AssignedUser.

Os seguintes campos serão adicionados a cada nó que for retornado:

CampoDescrição
tasks
list<string>

tasks

paging

Para saber mais detalhes sobre paginação, consulte o Guia da Graph API.

Error Codes

ErroDescrição
100Invalid parameter

Criando

Não é possível executar esta operação neste ponto de extremidade.

Atualizando

You can update an AssignedUser by making a POST request to /{instagram_business_asset_id}/assigned_users.

Parâmetros

ParâmetroDescrição
tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Instagram Business Asset tasks to assign to user

user
UID

Business user

Obrigatório

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

ErroDescrição
100Invalid parameter

Excluindo

You can dissociate an AssignedUser from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/assigned_users.

Parâmetros

ParâmetroDescrição
user
UID

user

Obrigatório

Return Type

Struct {
success: bool,
}